Connector [connectors.alauda.io/v1alpha1]

Description
Connector is the Schema for the connectors API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

ConnectorSpec defines the desired state of Connector

statusobject

ConnectorStatus defines the observed state of Connector

.spec

Description
ConnectorSpec defines the desired state of Connector
Type
object
PropertyTypeDescription
addressstring

Address is connector address

authobject

Auth represents authenticate data of current connector

connectorClassNamestring

ConnectorClassName of current connector

paramsarray

Params information required for spec

.spec.auth

Description
Auth represents authenticate data of current connector
Type
object
PropertyTypeDescription
namestring

Name represent auth name that configured in ConnectorClass.spec.auth.types[].name

paramsarray

Params information required for authentication

secretRefobject

SecretRef secret reference when doing authentication

.spec.auth.params

Description
Params information required for authentication
Type
array

.spec.auth.params[]

Description
Param declares an ParamValues to use for the parameter called name.
Type
object
Required
namevalue
PropertyTypeDescription
namestring
value

.spec.auth.secretRef

Description
SecretRef secret reference when doing authentication
Type
object
PropertyTypeDescription
apiVersionstring

API version of the referent.

fieldPathstring

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

kindstring

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespacestring

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersionstring

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uidstring

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

.spec.params

Description
Params information required for spec
Type
array

.spec.params[]

Description
Param declares an ParamValues to use for the parameter called name.
Type
object
Required
namevalue
PropertyTypeDescription
namestring
value

.status

Description
ConnectorStatus defines the observed state of Connector
Type
object
PropertyTypeDescription
annotationsobject

Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

apiobject

API contains the status information for the connector's api

conditionsarray

Conditions the latest available observations of a resource's current state.

observedGenerationinteger

ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

proxyobject

Proxy contains the status information for the connector's proxy

.status.annotations

Description
Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
Type
object

.status.api

Description
API contains the status information for the connector's api
Type
object
PropertyTypeDescription
pathstring

Path provides the path for the connector API. it is the path of the connector API. it is used to construct the api path for the connector

.status.conditions

Description
Conditions the latest available observations of a resource's current state.
Type
array

.status.conditions[]

Description
Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
Type
object
Required
statustype
PropertyTypeDescription
lastTransitionTimestring

LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

messagestring

A human readable message indicating details about the transition.

reasonstring

The reason for the condition's last transition.

severitystring

Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

statusstring

Status of the condition, one of True, False, Unknown.

typestring

Type of condition.

.status.proxy

Description
Proxy contains the status information for the connector's proxy
Type
object
PropertyTypeDescription
httpAddressobject

HTTPAddress provides the addressable HTTP endpoint for the connector proxy.

.status.proxy.httpAddress

Description
HTTPAddress provides the addressable HTTP endpoint for the connector proxy.
Type
object
PropertyTypeDescription
CACertsstring

CACerts is the Certification Authority (CA) certificates in PEM format according to https://www.rfc-editor.org/rfc/rfc7468.

audiencestring

Audience is the OIDC audience for this address.

namestring

Name is the name of the address.

urlstring

API Endpoints

The following API endpoints are available:

  • /apis/connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectors
    • DELETE: delete collection of Connector
    • GET: list objects of kind Connector
    • POST: create a new Connector
  • /apis/connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectors/{name}
    • DELETE: delete the specified Connector
    • GET: read the specified Connector
    • PATCH: partially update the specified Connector
    • PUT: replace the specified Connector
  • /apis/connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectors/{name}/status
    • GET: read status of the specified Connector
    • PATCH: partially update status of the specified Connector
    • PUT: replace status of the specified Connector

/apis/connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectors

HTTP method
DELETE
Description
delete collection of Connector
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind Connector
HTTP responses
HTTP codeResponse body
200 - OKConnectorList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new Connector
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyConnector schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
201 - CreatedConnector schema
202 - AcceptedConnector schema
401 - UnauthorizedEmpty

/apis/connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectors/{name}

HTTP method
DELETE
Description
delete the specified Connector
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified Connector
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified Connector
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified Connector
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyConnector schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
201 - CreatedConnector schema
401 - UnauthorizedEmpty

/apis/connectors.alauda.io/v1alpha1/namespaces/{namespace}/connectors/{name}/status

HTTP method
GET
Description
read status of the specified Connector
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified Connector
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified Connector
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyConnector schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKConnector schema
201 - CreatedConnector schema
401 - UnauthorizedEmpty